> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers



## OpenAPI

````yaml /openapi.json get /customers
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /customers:
    get:
      tags:
        - customer
      summary: List Customers
      operationId: CustomerController_listCustomers
      parameters:
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
        - name: branchId
          required: false
          in: query
          description: 'Optional: the branchId'
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: the pagination offset
          schema:
            default: 0
            type: number
        - name: pageSize
          required: false
          in: query
          description: the pagination page size
          schema:
            default: 50
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomersOutput'
components:
  schemas:
    ListCustomersOutput:
      type: object
      properties:
        total:
          type: number
          description: Total number of customers
        offset:
          type: number
          description: Offset used for pagination
        limit:
          type: number
          description: Page size used for pagination
        data:
          description: List of customers
          type: array
          items:
            $ref: '#/components/schemas/CustomerDto'
      required:
        - total
        - offset
        - limit
        - data
    CustomerDto:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        type:
          type: string
          description: Type of the customer
        id:
          type: string
          description: Unique identifier for the customer
        createdAt:
          type: string
          description: Date and time when the customer was created
        lastModifiedAt:
          type: string
          description: Date and time when the customer was last modified
        status:
          type: string
          description: Status of the customer
          enum:
            - CUSTOMER_CREATED
            - CUSTOMER_CONFIRMED
        policies:
          description: Policies associated with the customer
          type: array
          items:
            type: string
        invoices:
          description: Array of invoice identifiers associated with the customer
          type: array
          items:
            type: string
        role:
          type: string
          description: Customer business role
        preferredPaymentMethodId:
          type: string
          description: 'Optional: Preferred payment method of the customer'
        paymentMode:
          type: string
          enum:
            - DIRECT_DEBIT
            - BANK_TRANSFER
      required:
        - type
        - id
        - createdAt
        - lastModifiedAt
        - status
        - policies
        - invoices
        - role
        - paymentMode
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value

````